import React from "react";

const FormInput = ({ label, name, type, defaultValue }) => {
    return (
        <div className="form-group mb-4">
            <label htmlFor={name} className="block text-sm font-medium text-gray-700">{label}</label>
            <input
                id={name}
                name={name}
                type={type}
                defaultValue={defaultValue}
                className="mt-1 block w-full border border-gray-300 rounded-md shadow-sm focus:border-blue-500 focus:ring focus:ring-blue-200"
                required
            />
        </div>
    );
};

export default FormInput;
