import React, { useState } from 'react';
import './NavBar.css'; 
import { SocialIcons } from './SocialIcons';
import { useDispatch, useSelector } from "react-redux";
import { NavLink, useNavigate } from "react-router-dom";
import UserContainer from "./UserContainer";
import { logoutUser } from '../features/appUsers/appUserSlice';
import { toast } from "react-toastify";

const NavBar = () => {
  const navigate = useNavigate();
  const dispatch = useDispatch();
  const user = useSelector((state) => state.appUser.user);

  const logout = () => {
    console.log("logout");
    dispatch(logoutUser());
    navigate("/");
  }

  const login = () => {
    console.log("login");
  }

  const [isOpen, setIsOpen] = useState(false);


  const toggleMenu = () => {
    setIsOpen(!isOpen);
  };

  return (
    
    <nav className="navbar">
      <div className="navbar-container">
      
        <div className="hamburger" onClick={toggleMenu}>
          <span className="line"></span>
          <span className="line"></span>
          <span className="line"></span>
        </div>

        
        <ul className={`nav-links ${isOpen ? 'open' : ''}`}>
          <li><a href="#home">Home</a></li>
          <li><a href="#books">Books</a></li>
          <li><a href="#newsletter">Newsletter</a></li>
        </ul>

        {/*<SocialIcons />*/}
        <UserContainer user={user} logout={logout} login={login} />
      </div>
    </nav>
  );
};

export default NavBar;
