import { createSlice } from "@reduxjs/toolkit";
import { toast } from "react-toastify";

const initialState = {
    user: { username: "Rijo"}
};

const appUserSlice = createSlice({
    name: "appUser",
    initialState,
    reducers: {
        loginUser: (state, action) => {
            console.log("login");
        },
        logoutUser: (state) => {
            state.user = null;
            console.log("logout");
            toast.success("You have logged out! ");
        },
    },
});

export const { loginUser, logoutUser } = appUserSlice.actions;
export default appUserSlice.reducer;





