
import React from 'react';
import UserPhoto from './UserPhoto';


const UserItem = ({ user, remove }) => {
    const { email, location, name, picture } = user;

    return (
        <div className="user-item">
            <UserPhoto picture={picture} name={name} />
            <div className="user-details">
                <p><strong>Email:</strong> {email}</p>
                <p><strong>Location:</strong> {location.city}, {location.country}</p>
            </div>
            <button className="remove-button" onClick={remove}>
                    Remove
            </button>
        </div>
    );
};

export default UserItem;
